## com.saxonica.codegen
Class AtomicSequenceConverterCompiler

    java.lang.Object
      com.saxonica.codegen.ExpressionCompiler
          com.saxonica.codegen.SequenceExpressionCompiler
              com.saxonica.codegen.AtomicSequenceConverterCompiler

    public class AtomicSequenceConverterCompiler

extends SequenceExpressionCompiler

Compile Java code to implement an atomic sequence converter

Constructor Summary
`AtomicSequenceConverterCompiler()`

Method Summary
`static void` `compileAsCharSequenceLoop(CompilerService compiler, AtomicSequenceConverter exp, LoopAction action)` Special method to compile as a sequence of unboxed CharSequence objects.
`void` `compileAsLoop(CompilerService compiler, Expression expr, LoopAction action)` Compile an expression in the form of a loop.
`String` `compileToIterator(CompilerService compiler, Expression expr)` Generate Java code to evaluate the expression as a SequenceIterator

Methods inherited from class com.saxonica.codegen.SequenceExpressionCompiler
`compilePush, compileToEffectiveBooleanValue, compileToItem`

Methods inherited from class com.saxonica.codegen.ExpressionCompiler
`compileToCharSequence, compileToValueRepresentation, getConfiguration, makeExpressionCompiler, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomicSequenceConverterCompiler

    public AtomicSequenceConverterCompiler()

Method Detail

### compileToIterator

    public String compileToIterator(CompilerService compiler,
                                    Expression expr)

  Description copied from class: `ExpressionCompiler`
  Generate Java code to evaluate the expression as a SequenceIterator

  Specified by:
    `compileToIterator` in class `ExpressionCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the XPath expression to be compiled
  Returns:
    a simple Java expression (usually the name of a variable that has been declared) which will be of class `SequenceIterator`, and which at run-time will hold an iterator over the the value of the XPath expression

### compileAsLoop

    public void compileAsLoop(CompilerService compiler,
                              Expression expr,
                              LoopAction action)

  Compile an expression in the form of a loop. Default implementation.

  Overrides:
    `compileAsLoop` in class `ExpressionCompiler`
  Parameters:
    `compiler` - the CompilerService
    `expr` - the expression to be compiled
    `action` - the action to be taken to process each item in the sequence returned by the expression

### compileAsCharSequenceLoop

    public static void compileAsCharSequenceLoop(CompilerService compiler,
                                                 AtomicSequenceConverter exp,
                                                 LoopAction action)

  Special method to compile as a sequence of unboxed CharSequence objects. Must only be called if the required type is xs:string

  Parameters:
    `compiler` -
    `exp` -
    `action` -

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.